{
    attributes = (
        {
            columnName = "BDMG_ID"; 
            externalType = NUMBER; 
            name = bdmgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "BDMG_MONTANT"; 
            externalType = NUMBER; 
            name = bdmgMontant; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BMOU_ID"; 
            externalType = NUMBER; 
            name = bmouId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "org_id"; }; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAC_ID"; 
            externalType = NUMBER; 
            name = tyacId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYET_ID"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYSE_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BMCC_ID"; }; 
            name = tyseId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (bdmgId, bmouId, exeOrdre, orgId, tcdOrdre, tyacId, tyetId, tyseId); 
    className = "org.cocktail.bibasse.server.metier.EOBudgetMouvGestion"; 
    classProperties = (
        bdmgMontant, 
        exercice, 
        mouvement, 
        organ, 
        typeAction, 
        typeCredit, 
        typeEtat, 
        typeSens
    ); 
    externalName = "JEFY_BUDGET.Budget_Mouvements_Gestion"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            bdmgMontant, 
            exercice, 
            mouvement, 
            organ, 
            typeAction, 
            typeCredit, 
            typeEtat, 
            typeSens
        ); 
        "_javaClientClassName" = "org.cocktail.bibasse.client.metier.EOBudgetMouvGestion"; 
        "_nameInObjectStore" = BudgetMouvementsGestion; 
    }; 
    name = BudgetMouvementsGestion; 
    primaryKeyAttributes = (bdmgId); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = BudgetMouvements; 
            internalInfo = {"_nameInObjectStore" = budgetMouvements; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = bmouId; sourceAttribute = bmouId; }); 
            name = mouvement; 
        }, 
        {
            destination = Organ; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = TypeAction; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = tyacId; sourceAttribute = tyacId; }
            ); 
            name = typeAction; 
        }, 
        {
            destination = TypeCredit; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }, 
        {
            destination = TypeEtat; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }, 
        {
            destination = TypeSens; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyseId; sourceAttribute = tyseId; }); 
            name = typeSens; 
        }
    ); 
}
